http://guardduty.{region}.amazonaws.com/detector/{detectorId}/administratorAccepts the invitation to be a member account and get monitored by a GuardDuty administrator account that sent the invitation.
The unique ID of the detector of the GuardDuty member account.
The value that is used to validate the administrator account to the member account.
The account ID of the GuardDuty administrator account whose invitation you're accepting.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/administrator' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://guardduty.{region}.amazonaws.com/detector/{detectorId}/administratorAccepts the invitation to be a member account and get monitored by a GuardDuty administrator account that sent the invitation.
The unique ID of the detector of the GuardDuty member account.
The value that is used to validate the administrator account to the member account.
The account ID of the GuardDuty administrator account whose invitation you're accepting.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/administrator' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}